root/morphix/trunk/clusterix/openmosix-tools-0.3.6-2/config.status

Revision 2, 45.5 kB (checked in by nextime, 2 years ago)

Initial import, branching from morphix svn

  • Property svn:executable set to
Line 
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23   set -o posix
24 fi
25
26 # Support unset when possible.
27 if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
28   as_unset=unset
29 else
30   as_unset=false
31 fi
32
33
34 # Work around bugs in pre-3.0 UWIN ksh.
35 $as_unset ENV MAIL MAILPATH
36 PS1='$ '
37 PS2='> '
38 PS4='+ '
39
40 # NLS nuisances.
41 for as_var in \
42   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
43   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
44   LC_TELEPHONE LC_TIME
45 do
46   if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
47     eval $as_var=C; export $as_var
48   else
49     $as_unset $as_var
50   fi
51 done
52
53 # Required to use basename.
54 if expr a : '\(a\)' >/dev/null 2>&1; then
55   as_expr=expr
56 else
57   as_expr=false
58 fi
59
60 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
61   as_basename=basename
62 else
63   as_basename=false
64 fi
65
66
67 # Name of the executable.
68 as_me=`$as_basename "$0" ||
69 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
70          X"$0" : 'X\(//\)$' \| \
71          X"$0" : 'X\(/\)$' \| \
72          .     : '\(.\)' 2>/dev/null ||
73 echo X/"$0" |
74     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
75           /^X\/\(\/\/\)$/{ s//\1/; q; }
76           /^X\/\(\/\).*/{ s//\1/; q; }
77           s/.*/./; q'`
78
79
80 # PATH needs CR, and LINENO needs CR and PATH.
81 # Avoid depending upon Character Ranges.
82 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
83 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
84 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
85 as_cr_digits='0123456789'
86 as_cr_alnum=$as_cr_Letters$as_cr_digits
87
88 # The user is always right.
89 if test "${PATH_SEPARATOR+set}" != set; then
90   echo "#! /bin/sh" >conf$$.sh
91   echo  "exit 0"   >>conf$$.sh
92   chmod +x conf$$.sh
93   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
94     PATH_SEPARATOR=';'
95   else
96     PATH_SEPARATOR=:
97   fi
98   rm -f conf$$.sh
99 fi
100
101
102   as_lineno_1=$LINENO
103   as_lineno_2=$LINENO
104   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
105   test "x$as_lineno_1" != "x$as_lineno_2" &&
106   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
107   # Find who we are.  Look in the path if we contain no path at all
108   # relative or not.
109   case $0 in
110     *[\\/]* ) as_myself=$0 ;;
111     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
112 for as_dir in $PATH
113 do
114   IFS=$as_save_IFS
115   test -z "$as_dir" && as_dir=.
116   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
117 done
118
119        ;;
120   esac
121   # We did not find ourselves, most probably we were run as `sh COMMAND'
122   # in which case we are not to be found in the path.
123   if test "x$as_myself" = x; then
124     as_myself=$0
125   fi
126   if test ! -f "$as_myself"; then
127     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
128 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
129    { (exit 1); exit 1; }; }
130   fi
131   case $CONFIG_SHELL in
132   '')
133     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
134 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
135 do
136   IFS=$as_save_IFS
137   test -z "$as_dir" && as_dir=.
138   for as_base in sh bash ksh sh5; do
139          case $as_dir in
140          /*)
141            if ("$as_dir/$as_base" -c '
142   as_lineno_1=$LINENO
143   as_lineno_2=$LINENO
144   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
145   test "x$as_lineno_1" != "x$as_lineno_2" &&
146   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
147              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
148              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
149              CONFIG_SHELL=$as_dir/$as_base
150              export CONFIG_SHELL
151              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
152            fi;;
153          esac
154        done
155 done
156 ;;
157   esac
158
159   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
160   # uniformly replaced by the line number.  The first 'sed' inserts a
161   # line-number line before each line; the second 'sed' does the real
162   # work.  The second script uses 'N' to pair each line-number line
163   # with the numbered line, and appends trailing '-' during
164   # substitution so that $LINENO is not a special case at line end.
165   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
166   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
167   sed '=' <$as_myself |
168     sed '
169       N
170       s,$,-,
171       : loop
172       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
173       t loop
174       s,-$,,
175       s,^['$as_cr_digits']*\n,,
176     ' >$as_me.lineno &&
177   chmod +x $as_me.lineno ||
178     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
179 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
180    { (exit 1); exit 1; }; }
181
182   # Don't try to exec as it changes $[0], causing all sort of problems
183   # (the dirname of $[0] is not the place where we might find the
184   # original and so on.  Autoconf is especially sensible to this).
185   . ./$as_me.lineno
186   # Exit status is that of the last command.
187   exit
188 }
189
190
191 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
192   *c*,-n*) ECHO_N= ECHO_C='
193 ' ECHO_T='      ' ;;
194   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
195   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
196 esac
197
198 if expr a : '\(a\)' >/dev/null 2>&1; then
199   as_expr=expr
200 else
201   as_expr=false
202 fi
203
204 rm -f conf$$ conf$$.exe conf$$.file
205 echo >conf$$.file
206 if ln -s conf$$.file conf$$ 2>/dev/null; then
207   # We could just check for DJGPP; but this test a) works b) is more generic
208   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
209   if test -f conf$$.exe; then
210     # Don't use ln at all; we don't have any links
211     as_ln_s='cp -p'
212   else
213     as_ln_s='ln -s'
214   fi
215 elif ln conf$$.file conf$$ 2>/dev/null; then
216   as_ln_s=ln
217 else
218   as_ln_s='cp -p'
219 fi
220 rm -f conf$$ conf$$.exe conf$$.file
221
222 if mkdir -p . 2>/dev/null; then
223   as_mkdir_p=:
224 else
225   as_mkdir_p=false
226 fi
227
228 as_executable_p="test -f"
229
230 # Sed expression to map a string onto a valid CPP name.
231 as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
232
233 # Sed expression to map a string onto a valid variable name.
234 as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
235
236
237 # IFS
238 # We need space, tab and new line, in precisely that order.
239 as_nl='
240 '
241 IFS="   $as_nl"
242
243 # CDPATH.
244 $as_unset CDPATH
245
246 exec 6>&1
247
248 # Open the log real soon, to keep \$[0] and so on meaningful, and to
249 # report actual input values of CONFIG_FILES etc. instead of their
250 # values after options handling.  Logging --version etc. is OK.
251 exec 5>>config.log
252 {
253   echo
254   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
255 ## Running $as_me. ##
256 _ASBOX
257 } >&5
258 cat >&5 <<_CSEOF
259
260 This file was extended by openmosix-tools $as_me 0.3.6-2, which was
261 generated by GNU Autoconf 2.57.  Invocation command line was
262
263   CONFIG_FILES    = $CONFIG_FILES
264   CONFIG_HEADERS  = $CONFIG_HEADERS
265   CONFIG_LINKS    = $CONFIG_LINKS
266   CONFIG_COMMANDS = $CONFIG_COMMANDS
267   $ $0 $@
268
269 _CSEOF
270 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
271 echo >&5
272 config_files=" Makefile autodiscovery/Makefile fixvfork/Makefile migrate/Makefile mosmon/Makefile mosctl/Makefile moslib/Makefile moslimit/Makefile mosrun/Makefile mps/Makefile mps/proc/Makefile setpe/Makefile scripts/Makefile scripts/openmosix"
273 config_headers=" config.h"
274 config_commands=" depfiles"
275
276 ac_cs_usage="\
277 \`$as_me' instantiates files from templates according to the
278 current configuration.
279
280 Usage: $0 [OPTIONS] [FILE]...
281
282   -h, --help       print this help, then exit
283   -V, --version    print version number, then exit
284   -q, --quiet      do not print progress messages
285   -d, --debug      don't remove temporary files
286       --recheck    update $as_me by reconfiguring in the same conditions
287   --file=FILE[:TEMPLATE]
288                    instantiate the configuration file FILE
289   --header=FILE[:TEMPLATE]
290                    instantiate the configuration header FILE
291
292 Configuration files:
293 $config_files
294
295 Configuration headers:
296 $config_headers
297
298 Configuration commands:
299 $config_commands
300
301 Report bugs to <bug-autoconf@gnu.org>."
302 ac_cs_version="\
303 openmosix-tools config.status 0.3.6-2
304 configured by ./configure, generated by GNU Autoconf 2.57,
305   with options \"'--with-mosrundir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/bin' '--prefix=/usr' '--with-configdir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc/default' '--with-sysvdir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc/init.d' '--with-mapdir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc'\"
306
307 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
308 Free Software Foundation, Inc.
309 This config.status script is free software; the Free Software Foundation
310 gives unlimited permission to copy, distribute and modify it."
311 srcdir=.
312 INSTALL="/usr/bin/install -c"
313 # If no file are specified by the user, then we need to provide default
314 # value.  By we need to know if files were specified by the user.
315 ac_need_defaults=:
316 while test $# != 0
317 do
318   case $1 in
319   --*=*)
320     ac_option=`expr "x$1" : 'x\([^=]*\)='`
321     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
322     ac_shift=:
323     ;;
324   -*)
325     ac_option=$1
326     ac_optarg=$2
327     ac_shift=shift
328     ;;
329   *) # This is not an option, so the user has probably given explicit
330      # arguments.
331      ac_option=$1
332      ac_need_defaults=false;;
333   esac
334
335   case $ac_option in
336   # Handling of the options.
337   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
338     ac_cs_recheck=: ;;
339   --version | --vers* | -V )
340     echo "$ac_cs_version"; exit 0 ;;
341   --he | --h)
342     # Conflict between --help and --header
343     { { echo "$as_me:$LINENO: error: ambiguous option: $1
344 Try \`$0 --help' for more information." >&5
345 echo "$as_me: error: ambiguous option: $1
346 Try \`$0 --help' for more information." >&2;}
347    { (exit 1); exit 1; }; };;
348   --help | --hel | -h )
349     echo "$ac_cs_usage"; exit 0 ;;
350   --debug | --d* | -d )
351     debug=: ;;
352   --file | --fil | --fi | --f )
353     $ac_shift
354     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
355     ac_need_defaults=false;;
356   --header | --heade | --head | --hea )
357     $ac_shift
358     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
359     ac_need_defaults=false;;
360   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
361   | -silent | --silent | --silen | --sile | --sil | --si | --s)
362     ac_cs_silent=: ;;
363
364   # This is an error.
365   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
366 Try \`$0 --help' for more information." >&5
367 echo "$as_me: error: unrecognized option: $1
368 Try \`$0 --help' for more information." >&2;}
369    { (exit 1); exit 1; }; } ;;
370
371   *) ac_config_targets="$ac_config_targets $1" ;;
372
373   esac
374   shift
375 done
376
377 ac_configure_extra_args=
378
379 if $ac_cs_silent; then
380   exec 6>/dev/null
381   ac_configure_extra_args="$ac_configure_extra_args --silent"
382 fi
383
384 if $ac_cs_recheck; then
385   echo "running /bin/sh ./configure " '--with-mosrundir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/bin' '--prefix=/usr' '--with-configdir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc/default' '--with-sysvdir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc/init.d' '--with-mapdir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc' $ac_configure_extra_args " --no-create --no-recursion" >&6
386   exec /bin/sh ./configure '--with-mosrundir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/bin' '--prefix=/usr' '--with-configdir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc/default' '--with-sysvdir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc/init.d' '--with-mapdir=/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc' $ac_configure_extra_args --no-create --no-recursion
387 fi
388
389 #
390 # INIT-COMMANDS section.
391 #
392
393 AMDEP_TRUE="" ac_aux_dir="."
394
395 for ac_config_target in $ac_config_targets
396 do
397   case "$ac_config_target" in
398   # Handling of arguments.
399   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
400   "autodiscovery/Makefile" ) CONFIG_FILES="$CONFIG_FILES autodiscovery/Makefile" ;;
401   "fixvfork/Makefile" ) CONFIG_FILES="$CONFIG_FILES fixvfork/Makefile" ;;
402   "migrate/Makefile" ) CONFIG_FILES="$CONFIG_FILES migrate/Makefile" ;;
403   "mosmon/Makefile" ) CONFIG_FILES="$CONFIG_FILES mosmon/Makefile" ;;
404   "mosctl/Makefile" ) CONFIG_FILES="$CONFIG_FILES mosctl/Makefile" ;;
405   "moslib/Makefile" ) CONFIG_FILES="$CONFIG_FILES moslib/Makefile" ;;
406   "moslimit/Makefile" ) CONFIG_FILES="$CONFIG_FILES moslimit/Makefile" ;;
407   "mosrun/Makefile" ) CONFIG_FILES="$CONFIG_FILES mosrun/Makefile" ;;
408   "mps/Makefile" ) CONFIG_FILES="$CONFIG_FILES mps/Makefile" ;;
409   "mps/proc/Makefile" ) CONFIG_FILES="$CONFIG_FILES mps/proc/Makefile" ;;
410   "setpe/Makefile" ) CONFIG_FILES="$CONFIG_FILES setpe/Makefile" ;;
411   "scripts/Makefile" ) CONFIG_FILES="$CONFIG_FILES scripts/Makefile" ;;
412   "scripts/openmosix" ) CONFIG_FILES="$CONFIG_FILES scripts/openmosix" ;;
413   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
414   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
415   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
416 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
417    { (exit 1); exit 1; }; };;
418   esac
419 done
420
421 # If the user did not use the arguments to specify the items to instantiate,
422 # then the envvar interface is used.  Set only those that are not.
423 # We use the long form for the default assignment because of an extremely
424 # bizarre bug on SunOS 4.1.3.
425 if $ac_need_defaults; then
426   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
427   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
428   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
429 fi
430
431 # Have a temporary directory for convenience.  Make it in the build tree
432 # simply because there is no reason to put it here, and in addition,
433 # creating and moving files from /tmp can sometimes cause problems.
434 # Create a temporary directory, and hook for its removal unless debugging.
435 $debug ||
436 {
437   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
438   trap '{ (exit 1); exit 1; }' 1 2 13 15
439 }
440
441 # Create a (secure) tmp directory for tmp files.
442
443 {
444   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
445   test -n "$tmp" && test -d "$tmp"
446 }  ||
447 {
448   tmp=./confstat$$-$RANDOM
449   (umask 077 && mkdir $tmp)
450 } ||
451 {
452    echo "$me: cannot create a temporary directory in ." >&2
453    { (exit 1); exit 1; }
454 }
455
456
457 #
458 # CONFIG_FILES section.
459 #
460
461 # No need to generate the scripts if there are no CONFIG_FILES.
462 # This happens for instance when ./config.status config.h
463 if test -n "$CONFIG_FILES"; then
464   # Protect against being on the right side of a sed subst in config.status.
465   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
466    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
467 s,@SHELL@,/bin/sh,;t t
468 s,@PATH_SEPARATOR@,:,;t t
469 s,@PACKAGE_NAME@,openmosix-tools,;t t
470 s,@PACKAGE_TARNAME@,openmosix-tools,;t t
471 s,@PACKAGE_VERSION@,0.3.6-2,;t t
472 s,@PACKAGE_STRING@,openmosix-tools 0.3.6-2,;t t
473 s,@PACKAGE_BUGREPORT@,openmosix-devel@lists.sourceforge.net,;t t
474 s,@exec_prefix@,${prefix},;t t
475 s,@prefix@,/usr,;t t
476 s,@program_transform_name@,s,x,x,,;t t
477 s,@bindir@,${exec_prefix}/bin,;t t
478 s,@sbindir@,${exec_prefix}/sbin,;t t
479 s,@libexecdir@,${exec_prefix}/libexec,;t t
480 s,@datadir@,${prefix}/share,;t t
481 s,@sysconfdir@,${prefix}/etc,;t t
482 s,@sharedstatedir@,${prefix}/com,;t t
483 s,@localstatedir@,${prefix}/var,;t t
484 s,@libdir@,${exec_prefix}/lib,;t t
485 s,@includedir@,${prefix}/include,;t t
486 s,@oldincludedir@,/usr/include,;t t
487 s,@infodir@,${prefix}/info,;t t
488 s,@mandir@,${prefix}/man,;t t
489 s,@build_alias@,,;t t
490 s,@host_alias@,,;t t
491 s,@target_alias@,,;t t
492 s,@DEFS@,-DHAVE_CONFIG_H,;t t
493 s,@ECHO_C@,,;t t
494 s,@ECHO_N@,-n,;t t
495 s,@ECHO_T@,,;t t
496 s,@LIBS@,,;t t
497 s,@INSTALL_PROGRAM@,${INSTALL},;t t
498 s,@INSTALL_SCRIPT@,${INSTALL},;t t
499 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
500 s,@CYGPATH_W@,echo,;t t
501 s,@PACKAGE@,openmosix-tools,;t t
502 s,@VERSION@,0.3.6-2,;t t
503 s,@ACLOCAL@,aclocal-1.7,;t t
504 s,@AUTOCONF@,autoconf,;t t
505 s,@AUTOMAKE@,automake-1.7,;t t
506 s,@AUTOHEADER@,autoheader,;t t
507 s,@MAKEINFO@,makeinfo,;t t
508 s,@AMTAR@,tar,;t t
509 s,@install_sh@,/clusterix/g1powermac/openmosix-tools-0.3.6-2/install-sh,;t t
510 s,@STRIP@,strip,;t t
511 s,@ac_ct_STRIP@,strip,;t t
512 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
513 s,@AWK@,mawk,;t t
514 s,@SET_MAKE@,,;t t
515 s,@am__leading_dot@,.,;t t
516 s,@CC@,gcc,;t t
517 s,@CFLAGS@,-g -O2 -Wall -O2 -I../moslib  -I/usr/src/linux-openmosix/include -I.,;t t
518 s,@LDFLAGS@,,;t t
519 s,@CPPFLAGS@,,;t t
520 s,@ac_ct_CC@,gcc,;t t
521 s,@EXEEXT@,,;t t
522 s,@OBJEXT@,o,;t t
523 s,@DEPDIR@,.deps,;t t
524 s,@am__include@,include,;t t
525 s,@am__quote@,,;t t
526 s,@AMDEP_TRUE@,,;t t
527 s,@AMDEP_FALSE@,#,;t t
528 s,@AMDEPBACKSLASH@,\,;t t
529 s,@CCDEPMODE@,depmode=gcc3,;t t
530 s,@am__fastdepCC_TRUE@,,;t t
531 s,@am__fastdepCC_FALSE@,#,;t t
532 s,@LN_S@,ln -s,;t t
533 s,@CPP@,gcc -E,;t t
534 s,@EGREP@,grep -E,;t t
535 s,@ommap@,/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc,;t t
536 s,@omsysv@,/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc/init.d,;t t
537 s,@omcfg@,/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/etc/default,;t t
538 s,@mosrundir@,/clusterix/g1powermac/openmosix-tools-0.3.6-2/debian/openmosix/bin,;t t
539 s,@OM_VARLOCK_DIR@,/var/lock,;t t
540 s,@build@,i686-pc-linux-gnu,;t t
541 s,@build_cpu@,i686,;t t
542 s,@build_vendor@,pc,;t t
543 s,@build_os@,linux-gnu,;t t
544 s,@host@,i686-pc-linux-gnu,;t t
545 s,@host_cpu@,i686,;t t
546 s,@host_vendor@,pc,;t t
547 s,@host_os@,linux-gnu,;t t
548 s,@ECHO@,echo,;t t
549 s,@AR@,ar,;t t
550 s,@ac_ct_AR@,ar,;t t
551 s,@RANLIB@,ranlib,;t t
552 s,@ac_ct_RANLIB@,ranlib,;t t
553 s,@CXX@,g++,;t t
554 s,@CXXFLAGS@,-g -O2,;t t
555 s,@ac_ct_CXX@,g++,;t t
556 s,@CXXDEPMODE@,depmode=gcc3,;t t
557 s,@am__fastdepCXX_TRUE@,,;t t
558 s,@am__fastdepCXX_FALSE@,#,;t t
559 s,@CXXCPP@,g++ -E,;t t
560 s,@F77@,,;t t
561 s,@FFLAGS@,,;t t
562 s,@ac_ct_F77@,,;t t
563 s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
564 s,@NCURSES_LIBS@,-lncurses,;t t
565 s,@LIBPROC_VERSION@,1,;t t
566 s,@LIBPROC_SUBVERSION@,2,;t t
567 s,@LIBPROC_MINORVERSION@,9,;t t
568 s,@LIBPROC_LIBVERSION@,3:9:2,;t t
569 s,@MOSLIB_LIBVERSION@,3:0:3,;t t
570 s,@LIBOBJS@,,;t t
571 s,@LTLIBOBJS@,,;t t
572 CEOF
573
574   # Split the substitutions into bite-sized pieces for seds with
575   # small command number limits, like on Digital OSF/1 and HP-UX.
576   ac_max_sed_lines=48
577   ac_sed_frag=1 # Number of current file.
578   ac_beg=1 # First line for current file.
579   ac_end=$ac_max_sed_lines # Line after last line for current file.
580   ac_more_lines=:
581   ac_sed_cmds=
582   while $ac_more_lines; do
583     if test $ac_beg -gt 1; then
584       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
585     else
586       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
587     fi
588     if test ! -s $tmp/subs.frag; then
589       ac_more_lines=false
590     else
591       # The purpose of the label and of the branching condition is to
592       # speed up the sed processing (if there are no `@' at all, there
593       # is no need to browse any of the substitutions).
594       # These are the two extra sed commands mentioned above.
595       (echo ':t
596   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
597       if test -z "$ac_sed_cmds"; then
598         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
599       else
600         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
601       fi
602       ac_sed_frag=`expr $ac_sed_frag + 1`
603       ac_beg=$ac_end
604       ac_end=`expr $ac_end + $ac_max_sed_lines`
605     fi
606   done
607   if test -z "$ac_sed_cmds"; then
608     ac_sed_cmds=cat
609   fi
610 fi # test -n "$CONFIG_FILES"
611
612 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
613   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
614   case $ac_file in
615   - | *:- | *:-:* ) # input from stdin
616         cat >$tmp/stdin
617         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
618         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
619   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
620         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
621   * )   ac_file_in=$ac_file.in ;;
622   esac
623
624   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
625   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
626 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
627          X"$ac_file" : 'X\(//\)[^/]' \| \
628          X"$ac_file" : 'X\(//\)$' \| \
629          X"$ac_file" : 'X\(/\)' \| \
630          .     : '\(.\)' 2>/dev/null ||
631 echo X"$ac_file" |
632     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
633           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
634           /^X\(\/\/\)$/{ s//\1/; q; }
635           /^X\(\/\).*/{ s//\1/; q; }
636           s/.*/./; q'`
637   { if $as_mkdir_p; then
638     mkdir -p "$ac_dir"
639   else
640     as_dir="$ac_dir"
641     as_dirs=
642     while test ! -d "$as_dir"; do
643       as_dirs="$as_dir $as_dirs"
644       as_dir=`(dirname "$as_dir") 2>/dev/null ||
645 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
646          X"$as_dir" : 'X\(//\)[^/]' \| \
647          X"$as_dir" : 'X\(//\)$' \| \
648          X"$as_dir" : 'X\(/\)' \| \
649          .     : '\(.\)' 2>/dev/null ||
650 echo X"$as_dir" |
651     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
652           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
653           /^X\(\/\/\)$/{ s//\1/; q; }
654           /^X\(\/\).*/{ s//\1/; q; }
655           s/.*/./; q'`
656     done
657     test ! -n "$as_dirs" || mkdir $as_dirs
658   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
659 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
660    { (exit 1); exit 1; }; }; }
661
662   ac_builddir=.
663
664 if test "$ac_dir" != .; then
665   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
666   # A "../" for each directory in $ac_dir_suffix.
667   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
668 else
669   ac_dir_suffix= ac_top_builddir=
670 fi
671
672 case $srcdir in
673   .)  # No --srcdir option.  We are building in place.
674     ac_srcdir=.
675     if test -z "$ac_top_builddir"; then
676        ac_top_srcdir=.
677     else
678        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
679     fi ;;
680   [\\/]* | ?:[\\/]* )  # Absolute path.
681     ac_srcdir=$srcdir$ac_dir_suffix;
682     ac_top_srcdir=$srcdir ;;
683   *) # Relative path.
684     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
685     ac_top_srcdir=$ac_top_builddir$srcdir ;;
686 esac
687 # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
688 # absolute.
689 ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
690 ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
691 ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
692 ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
693
694
695   case $INSTALL in
696   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
697   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
698   esac
699
700   if test x"$ac_file" != x-; then
701     { echo "$as_me:$LINENO: creating $ac_file" >&5
702 echo "$as_me: creating $ac_file" >&6;}
703     rm -f "$ac_file"
704   fi
705   # Let's still pretend it is `configure' which instantiates (i.e., don't
706   # use $as_me), people would be surprised to read:
707   #    /* config.h.  Generated by config.status.  */
708   if test x"$ac_file" = x-; then
709     configure_input=
710   else
711     configure_input="$ac_file.  "
712   fi
713   configure_input=$configure_input"Generated from `echo $ac_file_in |
714                                      sed 's,.*/,,'` by configure."
715
716   # First look for the input files in the build tree, otherwise in the
717   # src tree.
718   ac_file_inputs=`IFS=:
719     for f in $ac_file_in; do
720       case $f in
721       -) echo $tmp/stdin ;;
722       [\\/$]*)
723          # Absolute (can't be DOS-style, as IFS=:)
724          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
725 echo "$as_me: error: cannot find input file: $f" >&2;}
726    { (exit 1); exit 1; }; }
727          echo $f;;
728       *) # Relative
729          if test -f "$f"; then
730            # Build tree
731            echo $f
732          elif test -f "$srcdir/$f"; then
733            # Source tree
734            echo $srcdir/$f
735          else
736            # /dev/null tree
737            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
738 echo "$as_me: error: cannot find input file: $f" >&2;}
739    { (exit 1); exit 1; }; }
740          fi;;
741       esac
742     done` || { (exit 1); exit 1; }
743   sed "/^[      ]*VPATH[        ]*=/{
744 s/:*\$(srcdir):*/:/;
745 s/:*\${srcdir}:*/:/;
746 s/:*@srcdir@:*/:/;
747 s/^\([^=]*=[    ]*\):*/\1/;
748 s/:*$//;
749 s/^[^=]*=[      ]*$//;
750 }
751
752 :t
753 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
754 s,@configure_input@,$configure_input,;t t
755 s,@srcdir@,$ac_srcdir,;t t
756 s,@abs_srcdir@,$ac_abs_srcdir,;t t
757 s,@top_srcdir@,$ac_top_srcdir,;t t
758 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
759 s,@builddir@,$ac_builddir,;t t
760 s,@abs_builddir@,$ac_abs_builddir,;t t
761 s,@top_builddir@,$ac_top_builddir,;t t
762 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
763 s,@INSTALL@,$ac_INSTALL,;t t
764 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
765   rm -f $tmp/stdin
766   if test x"$ac_file" != x-; then
767     mv $tmp/out $ac_file
768   else
769     cat $tmp/out
770     rm -f $tmp/out
771   fi
772
773 done
774
775 #
776 # CONFIG_HEADER section.
777 #
778
779 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
780 # NAME is the cpp macro being defined and VALUE is the value it is being given.
781 #
782 # ac_d sets the value in "#define NAME VALUE" lines.
783 ac_dA='s,^\([   ]*\)#\([        ]*define[       ][      ]*\)'
784 ac_dB='[        ].*$,\1#\2'
785 ac_dC=' '
786 ac_dD=',;t'
787 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
788 ac_uA='s,^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
789 ac_uB='$,\1#\2define\3'
790 ac_uC=' '
791 ac_uD=',;t'
792
793 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
794   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
795   case $ac_file in
796   - | *:- | *:-:* ) # input from stdin
797         cat >$tmp/stdin
798         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
799         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
800   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
801         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
802   * )   ac_file_in=$ac_file.in ;;
803   esac
804
805   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
806 echo "$as_me: creating $ac_file" >&6;}
807
808   # First look for the input files in the build tree, otherwise in the
809   # src tree.
810   ac_file_inputs=`IFS=:
811     for f in $ac_file_in; do
812       case $f in
813       -) echo $tmp/stdin ;;
814       [\\/$]*)
815          # Absolute (can't be DOS-style, as IFS=:)
816          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
817 echo "$as_me: error: cannot find input file: $f" >&2;}
818    { (exit 1); exit 1; }; }
819          echo $f;;
820       *) # Relative
821          if test -f "$f"; then
822            # Build tree
823            echo $f
824          elif test -f "$srcdir/$f"; then
825            # Source tree
826            echo $srcdir/$f
827          else
828            # /dev/null tree
829            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
830 echo "$as_me: error: cannot find input file: $f" >&2;}
831    { (exit 1); exit 1; }; }
832          fi;;
833       esac
834     done` || { (exit 1); exit 1; }
835   # Remove the trailing spaces.
836   sed 's/[      ]*$//' $ac_file_inputs >$tmp/in
837
838   # Handle all the #define templates only if necessary.
839   if grep "^[   ]*#[    ]*define" $tmp/in >/dev/null; then
840   # If there are no defines, we may have an empty if/fi
841   :
842   cat >$tmp/defines.sed <<CEOF
843 /^[     ]*#[    ]*define/!b
844 t clr
845 : clr
846 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"openmosix-tools"${ac_dD}
847 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"openmosix-tools"${ac_dD}
848 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"0.3.6-2"${ac_dD}
849 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"openmosix-tools 0.3.6-2"${ac_dD}
850 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"openmosix-devel@lists.sourceforge.net"${ac_dD}
851 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"openmosix-tools"${ac_dD}
852 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.3.6-2"${ac_dD}
853 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
854 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
855 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
856 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
857 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
858 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
859 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
860 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
861 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
862 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
863 ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
864 ${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
865 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
866 ${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
867 ${ac_dA}HAVE_ARPA_INET_H${ac_dB}HAVE_ARPA_INET_H${ac_dC}1${ac_dD}
868 ${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
869 ${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
870 ${ac_dA}HAVE_NETDB_H${ac_dB}HAVE_NETDB_H${ac_dC}1${ac_dD}
871 ${ac_dA}HAVE_NETINET_IN_H${ac_dB}HAVE_NETINET_IN_H${ac_dC}1${ac_dD}
872 ${ac_dA}HAVE_STDDEF_H${ac_dB}HAVE_STDDEF_H${ac_dC}1${ac_dD}
873 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
874 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
875 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
876 ${ac_dA}HAVE_SYS_IOCTL_H${ac_dB}HAVE_SYS_IOCTL_H${ac_dC}1${ac_dD}
877 ${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
878 ${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
879 ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
880 ${ac_dA}HAVE_SYSLOG_H${ac_dB}HAVE_SYSLOG_H${ac_dC}1${ac_dD}
881 ${ac_dA}HAVE_TERMIO_H${ac_dB}HAVE_TERMIO_H${ac_dC}1${ac_dD}
882 ${ac_dA}HAVE_TERMIOS_H${ac_dB}HAVE_TERMIOS_H${ac_dC}1${ac_dD}
883 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
884 CEOF
885   sed -f $tmp/defines.sed $tmp/in >$tmp/out
886   rm -f $tmp/in
887   mv $tmp/out $tmp/in
888
889   cat >$tmp/defines.sed <<CEOF
890 /^[     ]*#[    ]*define/!b
891 t clr
892 : clr
893 ${ac_dA}HAVE_UTMP_H${ac_dB}HAVE_UTMP_H${ac_dC}1${ac_dD}
894 ${ac_dA}HAVE_STRUCT_STAT_ST_RDEV${ac_dB}HAVE_STRUCT_STAT_ST_RDEV${ac_dC}1${ac_dD}
895 ${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
896 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
897 ${ac_dA}HAVE_FORK${ac_dB}HAVE_FORK${ac_dC}1${ac_dD}
898 ${ac_dA}HAVE_VFORK${ac_dB}HAVE_VFORK${ac_dC}1${ac_dD}
899 ${ac_dA}HAVE_WORKING_VFORK${ac_dB}HAVE_WORKING_VFORK${ac_dC}1${ac_dD}
900 ${ac_dA}HAVE_WORKING_FORK${ac_dB}HAVE_WORKING_FORK${ac_dC}1${ac_dD}
901 ${ac_dA}LSTAT_FOLLOWS_SLASHED_SYMLINK${ac_dB}LSTAT_FOLLOWS_SLASHED_SYMLINK${ac_dC}1${ac_dD}
902 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
903 ${ac_dA}HAVE_MALLOC${ac_dB}HAVE_MALLOC${ac_dC}1${ac_dD}
904 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
905 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
906 ${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
907 ${ac_dA}HAVE_MMAP${ac_dB}HAVE_MMAP${ac_dC}1${ac_dD}
908 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
909 ${ac_dA}HAVE_REALLOC${ac_dB}HAVE_REALLOC${ac_dC}1${ac_dD}
910 ${ac_dA}HAVE_SYS_SELECT_H${ac_dB}HAVE_SYS_SELECT_H${ac_dC}1${ac_dD}
911 ${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
912 ${ac_dA}SELECT_TYPE_ARG1${ac_dB}SELECT_TYPE_ARG1${ac_dC}int${ac_dD}
913 ${ac_dA}SELECT_TYPE_ARG234${ac_dB}SELECT_TYPE_ARG234${ac_dC}(fd_set *)${ac_dD}
914 ${ac_dA}SELECT_TYPE_ARG5${ac_dB}SELECT_TYPE_ARG5${ac_dC}(struct timeval *)${ac_dD}
915 ${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
916 ${ac_dA}HAVE_ALARM${ac_dB}HAVE_ALARM${ac_dC}1${ac_dD}
917 ${ac_dA}HAVE_FTRUNCATE${ac_dB}HAVE_FTRUNCATE${ac_dC}1${ac_dD}
918 ${ac_dA}HAVE_GETHOSTBYADDR${ac_dB}HAVE_GETHOSTBYADDR${ac_dC}1${ac_dD}
919 ${ac_dA}HAVE_GETHOSTBYNAME${ac_dB}HAVE_GETHOSTBYNAME${ac_dC}1${ac_dD}
920 ${ac_dA}HAVE_GETHOSTNAME${ac_dB}HAVE_GETHOSTNAME${ac_dC}1${ac_dD}
921 ${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
922 ${ac_dA}HAVE_INET_NTOA${ac_dB}HAVE_INET_NTOA${ac_dC}1${ac_dD}
923 ${ac_dA}HAVE_MEMSET${ac_dB}HAVE_MEMSET${ac_dC}1${ac_dD}
924 ${ac_dA}HAVE_MUNMAP${ac_dB}HAVE_MUNMAP${ac_dC}1${ac_dD}
925 ${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
926 ${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
927 ${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
928 ${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
929 ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
930 ${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
931 CEOF
932   sed -f $tmp/defines.sed $tmp/in >$tmp/out
933   rm -f $tmp/in
934   mv $tmp/out $tmp/in
935
936   cat >$tmp/defines.sed <<CEOF
937 /^[     ]*#[    ]*define/!b
938 t clr
939 : clr
940 ${ac_dA}HAVE_STRNCASECMP${ac_dB}HAVE_STRNCASECMP${ac_dC}1${ac_dD}
941 ${ac_dA}HAVE_STRPBRK${ac_dB}HAVE_STRPBRK${ac_dC}1${ac_dD}
942 ${ac_dA}HAVE_STRRCHR${ac_dB}HAVE_STRRCHR${ac_dC}1${ac_dD}
943 ${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
944 ${ac_dA}HAVE_STRTOUL${ac_dB}HAVE_STRTOUL${ac_dC}1${ac_dD}
945 ${ac_dA}HAVE_UNAME${ac_dB}HAVE_UNAME${ac_dC}1${ac_dD}
946 CEOF
947   sed -f $tmp/defines.sed $tmp/in >$tmp/out
948   rm -f $tmp/in
949   mv $tmp/out $tmp/in
950
951   fi # grep
952
953   # Handle all the #undef templates
954   cat >$tmp/undefs.sed <<CEOF
955 /^[     ]*#[    ]*undef/!b
956 t clr
957 : clr
958 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"openmosix-tools"${ac_uD}
959 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"openmosix-tools"${ac_uD}
960 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"0.3.6-2"${ac_uD}
961 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"openmosix-tools 0.3.6-2"${ac_uD}
962 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"openmosix-devel@lists.sourceforge.net"${ac_uD}
963 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"openmosix-tools"${ac_uD}
964 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.3.6-2"${ac_uD}
965 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
966 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
967 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
968 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
969 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
970 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
971 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
972 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
973 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
974 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
975 ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
976 ${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
977 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
978 ${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
979 ${ac_uA}HAVE_ARPA_INET_H${ac_uB}HAVE_ARPA_INET_H${ac_uC}1${ac_uD}
980 ${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
981 ${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
982 ${ac_uA}HAVE_NETDB_H${ac_uB}HAVE_NETDB_H${ac_uC}1${ac_uD}
983 ${ac_uA}HAVE_NETINET_IN_H${ac_uB}HAVE_NETINET_IN_H${ac_uC}1${ac_uD}
984 ${ac_uA}HAVE_STDDEF_H${ac_uB}HAVE_STDDEF_H${ac_uC}1${ac_uD}
985 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
986 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
987 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
988 ${ac_uA}HAVE_SYS_IOCTL_H${ac_uB}HAVE_SYS_IOCTL_H${ac_uC}1${ac_uD}
989 ${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
990 ${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
991 ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
992 ${ac_uA}HAVE_SYSLOG_H${ac_uB}HAVE_SYSLOG_H${ac_uC}1${ac_uD}
993 ${ac_uA}HAVE_TERMIO_H${ac_uB}HAVE_TERMIO_H${ac_uC}1${ac_uD}
994 ${ac_uA}HAVE_TERMIOS_H${ac_uB}HAVE_TERMIOS_H${ac_uC}1${ac_uD}
995 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
996 CEOF
997   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
998   rm -f $tmp/in
999   mv $tmp/out $tmp/in
1000
1001   cat >$tmp/undefs.sed <<CEOF
1002 /^[     ]*#[    ]*undef/!b
1003 t clr
1004 : clr
1005 ${ac_uA}HAVE_UTMP_H${ac_uB}HAVE_UTMP_H${ac_uC}1${ac_uD}
1006 ${ac_uA}HAVE_STRUCT_STAT_ST_RDEV${ac_uB}HAVE_STRUCT_STAT_ST_RDEV${ac_uC}1${ac_uD}
1007 ${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
1008 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1009 ${ac_uA}HAVE_FORK${ac_uB}HAVE_FORK${ac_uC}1${ac_uD}
1010 ${ac_uA}HAVE_VFORK${ac_uB}HAVE_VFORK${ac_uC}1${ac_uD}
1011 ${ac_uA}HAVE_WORKING_VFORK${ac_uB}HAVE_WORKING_VFORK${ac_uC}1${ac_uD}
1012 ${ac_uA}HAVE_WORKING_FORK${ac_uB}HAVE_WORKING_FORK${ac_uC}1${ac_uD}
1013 ${ac_uA}LSTAT_FOLLOWS_SLASHED_SYMLINK${ac_uB}LSTAT_FOLLOWS_SLASHED_SYMLINK${ac_uC}1${ac_uD}
1014 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1015 ${ac_uA}HAVE_MALLOC${ac_uB}HAVE_MALLOC${ac_uC}1${ac_uD}
1016 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1017 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1018 ${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
1019 ${ac_uA}HAVE_MMAP${ac_uB}HAVE_MMAP${ac_uC}1${ac_uD}
1020 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1021 ${ac_uA}HAVE_REALLOC${ac_uB}HAVE_REALLOC${ac_uC}1${ac_uD}
1022 ${ac_uA}HAVE_SYS_SELECT_H${ac_uB}HAVE_SYS_SELECT_H${ac_uC}1${ac_uD}
1023 ${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
1024 ${ac_uA}SELECT_TYPE_ARG1${ac_uB}SELECT_TYPE_ARG1${ac_uC}int${ac_uD}
1025 ${ac_uA}SELECT_TYPE_ARG234${ac_uB}SELECT_TYPE_ARG234${ac_uC}(fd_set *)${ac_uD}
1026 ${ac_uA}SELECT_TYPE_ARG5${ac_uB}SELECT_TYPE_ARG5${ac_uC}(struct timeval *)${ac_uD}
1027 ${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
1028 ${ac_uA}HAVE_ALARM${ac_uB}HAVE_ALARM${ac_uC}1${ac_uD}
1029 ${ac_uA}HAVE_FTRUNCATE${ac_uB}HAVE_FTRUNCATE${ac_uC}1${ac_uD}
1030 ${ac_uA}HAVE_GETHOSTBYADDR${ac_uB}HAVE_GETHOSTBYADDR${ac_uC}1${ac_uD}
1031 ${ac_uA}HAVE_GETHOSTBYNAME${ac_uB}HAVE_GETHOSTBYNAME${ac_uC}1${ac_uD}
1032 ${ac_uA}HAVE_GETHOSTNAME${ac_uB}HAVE_GETHOSTNAME${ac_uC}1${ac_uD}
1033 ${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
1034 ${ac_uA}HAVE_INET_NTOA${ac_uB}HAVE_INET_NTOA${ac_uC}1${ac_uD}
1035 ${ac_uA}HAVE_MEMSET${ac_uB}HAVE_MEMSET${ac_uC}1${ac_uD}
1036 ${ac_uA}HAVE_MUNMAP${ac_uB}HAVE_MUNMAP${ac_uC}1${ac_uD}
1037 ${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
1038 ${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
1039 ${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
1040 ${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
1041 ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
1042 ${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
1043 CEOF
1044   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1045   rm -f $tmp/in
1046   mv $tmp/out $tmp/in
1047
1048   cat >$tmp/undefs.sed <<CEOF
1049 /^[     ]*#[    ]*undef/!b
1050 t clr
1051 : clr
1052 ${ac_uA}HAVE_STRNCASECMP${ac_uB}HAVE_STRNCASECMP${ac_uC}1${ac_uD}
1053 ${ac_uA}HAVE_STRPBRK${ac_uB}HAVE_STRPBRK${ac_uC}1${ac_uD}
1054 ${ac_uA}HAVE_STRRCHR${ac_uB}HAVE_STRRCHR${ac_uC}1${ac_uD}
1055 ${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
1056 ${ac_uA}HAVE_STRTOUL${ac_uB}HAVE_STRTOUL${ac_uC}1${ac_uD}
1057 ${ac_uA}HAVE_UNAME${ac_uB}HAVE_UNAME${ac_uC}1${ac_uD}
1058 s,^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
1059 CEOF
1060   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1061   rm -f $tmp/in
1062   mv $tmp/out $tmp/in
1063
1064   # Let's still pretend it is `configure' which instantiates (i.e., don't
1065   # use $as_me), people would be surprised to read:
1066   #    /* config.h.  Generated by config.status.  */
1067   if test x"$ac_file" = x-; then
1068     echo "/* Generated by configure.  */" >$tmp/config.h
1069   else
1070     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
1071   fi
1072   cat $tmp/in >>$tmp/config.h
1073   rm -f $tmp/in
1074   if test x"$ac_file" != x-; then
1075     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
1076       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1077 echo "$as_me: $ac_file is unchanged" >&6;}
1078     else
1079       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1080 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1081          X"$ac_file" : 'X\(//\)[^/]' \| \
1082          X"$ac_file" : 'X\(//\)$' \| \
1083          X"$ac_file" : 'X\(/\)' \| \
1084          .     : '\(.\)' 2>/dev/null ||
1085 echo X"$ac_file" |
1086     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1087           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1088           /^X\(\/\/\)$/{ s//\1/; q; }
1089           /^X\(\/\).*/{ s//\1/; q; }
1090           s/.*/./; q'`
1091       { if $as_mkdir_p; then
1092     mkdir -p "$ac_dir"
1093   else
1094     as_dir="$ac_dir"
1095     as_dirs=
1096     while test ! -d "$as_dir"; do
1097       as_dirs="$as_dir $as_dirs"
1098       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1099 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1100          X"$as_dir" : 'X\(//\)[^/]' \| \
1101          X"$as_dir" : 'X\(//\)$' \| \
1102          X"$as_dir" : 'X\(/\)' \| \
1103          .     : '\(.\)' 2>/dev/null ||
1104 echo X"$as_dir" |
1105     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1106           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1107           /^X\(\/\/\)$/{ s//\1/; q; }
1108           /^X\(\/\).*/{ s//\1/; q; }
1109           s/.*/./; q'`
1110     done
1111     test ! -n "$as_dirs" || mkdir $as_dirs
1112   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1113 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1114    { (exit 1); exit 1; }; }; }
1115
1116       rm -f $ac_file
1117       mv $tmp/config.h $ac_file
1118     fi
1119   else
1120     cat $tmp/config.h
1121     rm -f $tmp/config.h
1122   fi
1123 # Compute $ac_file's index in $config_headers.
1124 _am_stamp_count=1
1125 for _am_header in $config_headers :; do
1126   case $_am_header in
1127     $ac_file | $ac_file:* )
1128       break ;;
1129     * )
1130       _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1131   esac
1132 done
1133 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1134 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1135          X$ac_file : 'X\(//\)[^/]' \| \
1136          X$ac_file : 'X\(//\)$' \| \
1137          X$ac_file : 'X\(/\)' \| \
1138          .     : '\(.\)' 2>/dev/null ||
1139 echo X$ac_file |
1140     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1141           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1142           /^X\(\/\/\)$/{ s//\1/; q; }
1143           /^X\(\/\).*/{ s//\1/; q; }
1144           s/.*/./; q'`/stamp-h$_am_stamp_count
1145 done
1146
1147 #
1148 # CONFIG_COMMANDS section.
1149 #
1150 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1151   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1152   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1153   ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1154 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1155          X"$ac_dest" : 'X\(//\)[^/]' \| \
1156          X"$ac_dest" : 'X\(//\)$' \| \
1157          X"$ac_dest" : 'X\(/\)' \| \
1158          .     : '\(.\)' 2>/dev/null ||
1159 echo X"$ac_dest" |
1160     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1161           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1162           /^X\(\/\/\)$/{ s//\1/; q; }
1163           /^X\(\/\).*/{ s//\1/; q; }
1164           s/.*/./; q'`
1165   ac_builddir=.
1166
1167 if test "$ac_dir" != .; then
1168   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1169   # A "../" for each directory in $ac_dir_suffix.
1170   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1171 else
1172   ac_dir_suffix= ac_top_builddir=
1173 fi
1174
1175 case $srcdir in
1176   .)  # No --srcdir option.  We are building in place.
1177     ac_srcdir=.
1178     if test -z "$ac_top_builddir"; then
1179        ac_top_srcdir=.
1180     else
1181        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1182     fi ;;
1183   [\\/]* | ?:[\\/]* )  # Absolute path.
1184     ac_srcdir=$srcdir$ac_dir_suffix;
1185     ac_top_srcdir=$srcdir ;;
1186   *) # Relative path.
1187     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1188     ac_top_srcdir=$ac_top_builddir$srcdir ;;
1189 esac
1190 # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
1191 # absolute.
1192 ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
1193 ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
1194 ac_abs_srcdir=`cd "$ac_dir&#